<template>
  <div>
    <!-- 当前页面业务部分 -->
    <a-card :bordered="false" :title="title" v-show="visable">
            <a-descriptions title="工具参数详情">
              <a-descriptions-item label="螺纹代号">{{ this.para == null || this.para.threadCode == null ? '' : this.para.threadCode  }}</a-descriptions-item>
              <a-descriptions-item label="螺距">{{  this.para == null || this.para.pitch == null ? '' : this.para.pitch }}</a-descriptions-item>
              <a-descriptions-item label="螺纹旋向">{{  this.para == null || this.para.rotationDirection == null ? '' : this.para.rotationDirection }}</a-descriptions-item>
              <a-descriptions-item label="螺纹公差带代号">{{  this.para == null || this.para.tolerancezoneLevel == null ? '' : this.para.tolerancezoneLevel }}</a-descriptions-item>
              <a-descriptions-item label="切削刃长">{{ this.para == null || this.para.edgeLength == null ? '' : this.para.edgeLength }}</a-descriptions-item>
              <a-descriptions-item label="刀具总长">{{ this.para == null || this.para.totalLength == null ? '' : this.para.totalLength }}</a-descriptions-item>
              <a-descriptions-item label="刀具材料">{{ this.para == null || this.para.toolMaterial == null ? '' : this.para.toolMaterial }}</a-descriptions-item>
              <a-descriptions-item label="零件材料">{{ this.para == null || this.para.partMaterial == null ? '' : this.para.partMaterial }}</a-descriptions-item>
              <a-descriptions-item label="是否涂层">{{ this.para == null || this.para.paintcoatFlag == null ? '' : this.para.paintcoatFlag }}</a-descriptions-item>
              <a-descriptions-item label="外型尺寸">{{ this.para == null || this.para.externalDimensions == null ? '' : this.para.externalDimensions }}</a-descriptions-item>
              <a-descriptions-item label="柄部规格">{{ this.para == null || this.para.handleSpecifications == null ? '' : this.para.handleSpecifications  }}</a-descriptions-item>
              <a-descriptions-item label="冷却方式">{{ this.para == null || this.para.coolingMethod == null ? '' : this.para.coolingMethod }}</a-descriptions-item>
              <a-descriptions-item label="附加技术条件">{{ this.para == null || this.para.technicalConditions == null ? '' : this.para.technicalConditions }}</a-descriptions-item>
              <a-descriptions-item label="附加技术条件说明">{{ this.para == null || this.para.conditionsInfo == null ? '' : this.para.conditionsInfo }}</a-descriptions-item>
              <a-descriptions-item label="品牌">{{ this.para == null || this.para.brand == null ? '' : this.para.brand }}</a-descriptions-item>
              <a-descriptions-item label="制式">{{ this.para == null || this.para.types == null ? '' : this.para.types }}</a-descriptions-item>
              <a-descriptions-item label="螺孔类型">{{ this.para == null || this.para.screwHoleType == null ? '' : this.para.screwHoleType }}</a-descriptions-item>
              <a-descriptions-item label="螺纹标准">{{ this.para == null || this.para.threadStandard == null ? '' : this.para.threadStandard }}</a-descriptions-item>
              <a-descriptions-item label="排屑槽型">{{ this.para == null || this.para.fluteSoltType == null ? '' : this.para.fluteSoltType  }}</a-descriptions-item>
              <a-descriptions-item label="螺纹类型">{{ this.para == null || this.para.threadType == null ? '' : this.para.threadType }}</a-descriptions-item>
              <a-descriptions-item label="导向尺寸">{{ this.para == null || this.para.guidingSize == null ? '' : this.para.guidingSize }}</a-descriptions-item>
              <a-descriptions-item label="连接孔径">{{ this.para == null || this.para.connectionAperture == null ? '' : this.para.connectionAperture }}</a-descriptions-item>
              <a-descriptions-item label="连接键槽">{{ this.para == null || this.para.connectingKeyway == null ? '' : this.para.connectingKeyway }}</a-descriptions-item>
            
            </a-descriptions>
           
    </a-card>
  </div>
</template>

<script>

import JDictSelectTag from '@/components/dict/JDictSelectTag'
import JEllipsis from '@/components/jeecg/JEllipsis' //引入过长裁剪
import Tooltip from 'ant-design-vue/es/tooltip'
import JDate from '@/components/jeecg/JDate.vue'

export default {
  name: 'ParaHoleToolsList',
  components: {
    JDictSelectTag,
    JEllipsis,
    JDate,
    Tooltip,
  },
  data() {
    return {
      description: '工具信息页面',
      title: '',
      visable:false,
      para:{},
    }
  },
  created() {
  },
  methods: {

    getPara(record){
      this.visable = true
      this.para = record
    },
  },

}
</script>
<style lang="less" scoped>
</style>